Update a notification policy
curl --request PUT \
--url https://api.devhelm.io/api/v1/notification-policies/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"matchRules": [
{
"value": "<string>",
"monitorIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"regions": [
"<string>"
],
"values": [
"<string>"
]
}
],
"escalation": {
"steps": [
{
"delayMinutes": 1,
"channelIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"requireAck": true,
"repeatIntervalSeconds": 2
}
],
"onResolve": "<string>",
"onReopen": "<string>"
},
"enabled": true,
"priority": 123
}
'import requests
url = "https://api.devhelm.io/api/v1/notification-policies/{id}"
payload = {
"name": "<string>",
"matchRules": [
{
"value": "<string>",
"monitorIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"regions": ["<string>"],
"values": ["<string>"]
}
],
"escalation": {
"steps": [
{
"delayMinutes": 1,
"channelIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"requireAck": True,
"repeatIntervalSeconds": 2
}
],
"onResolve": "<string>",
"onReopen": "<string>"
},
"enabled": True,
"priority": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
matchRules: [
{
value: '<string>',
monitorIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
regions: ['<string>'],
values: ['<string>']
}
],
escalation: {
steps: [
{
delayMinutes: 1,
channelIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
requireAck: true,
repeatIntervalSeconds: 2
}
],
onResolve: '<string>',
onReopen: '<string>'
},
enabled: true,
priority: 123
})
};
fetch('https://api.devhelm.io/api/v1/notification-policies/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": 123,
"name": "<string>",
"matchRules": [
{
"value": "<string>",
"monitorIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"regions": [
"<string>"
],
"values": [
"<string>"
]
}
],
"escalation": {
"steps": [
{
"delayMinutes": 1,
"channelIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"requireAck": true,
"repeatIntervalSeconds": 2
}
],
"onResolve": "<string>",
"onReopen": "<string>"
},
"enabled": true,
"priority": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}Notification Policies
Update a notification policy
PUT
/
api
/
v1
/
notification-policies
/
{id}
Update a notification policy
Authorizations
API key (dh_live_...) or Auth0 JWT token
Path Parameters
Body
application/json
Request body for updating a notification policy (null fields are preserved)
Human-readable name for this policy; null preserves current
Maximum string length:
255Match rules to evaluate (all must pass; omit or empty for catch-all)
Show child attributes
Show child attributes
Escalation chain defining which channels to notify; null preserves current
Show child attributes
Show child attributes
Whether this policy is enabled; null preserves current
Evaluation priority; higher value = evaluated first; null preserves current
Response
OK
Org-level notification policy with match rules and escalation chain
Show child attributes
Show child attributes
⌘I